Failed to build 1.12

Report problems and success stories with Gargoyle on various hardware platforms.

Moderator: Moderators

Lantis
Moderator
Posts: 5769
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Failed to build 1.12

Post by Lantis »

I'm not particularly familiar with the 4G connection modes.

Basically if you can on the command line (of the router itself) do both a ping to the internet (e.g. ping 8.8.8.8) and an nslookup (e.g. nslookup google.com) then you have sufficient connectivity to refresh and install the plugins.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

raven
Posts: 33
Joined: Mon Mar 25, 2019 12:25 am

Re: Failed to build 1.12

Post by raven »

Yes, I can successfully ping and nslookup google.com from router but refresh plugins did not work. Am I missing something in my image config when I build the image?

Lantis
Moderator
Posts: 5769
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Failed to build 1.12

Post by Lantis »

Can you run
gpkg update
From the CLI and report back what happens please?
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

raven
Posts: 33
Joined: Mon Mar 25, 2019 12:25 am

Re: Failed to build 1.12

Post by raven »

This is what I got from CLI

Code: Select all

Downloading package list for gargoyle_kernel_specific source...
Package list for gargoyle_kernel_specific downloaded successfully.

Downloading package list for openwrt_18.06-SNAPSHOT_base source...
Package list for openwrt_18.06-SNAPSHOT_base downloaded successfully.

Downloading package list for openwrt_18.06-SNAPSHOT_packages source...
Package list for openwrt_18.06-SNAPSHOT_packages downloaded successfully.

Downloading package list for gargoyle source...
Package list for gargoyle downloaded successfully.

Downloading package list for openwrt_18.06-SNAPSHOT_routing source...
Package list for openwrt_18.06-SNAPSHOT_routing downloaded successfully.

Downloading package list for openwrt_18.06-SNAPSHOT_telephony source...
Package list for openwrt_18.06-SNAPSHOT_telephony downloaded successfully.

Lantis
Moderator
Posts: 5769
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Failed to build 1.12

Post by Lantis »

Your Gargoyle specific package repositories are pointing to 1.13, but they should be pointing to 1.12.

You can edit these in /etc/opkg.conf

For your device, point them at

Code: Select all

http://www.gargoyle-router.com/packages/gargoyle-1.12/ar71xx/usb_large/
http://www.gargoyle-router.com/packages/gargoyle-1.12/ar71xx/usb_large_kernelspecific/
It's not a perfect match for your build, but it will be close enough.
If you need to install any kernel modules, you will need to either recompile with the packages built in, or host your own package repository based on what you compiled. Your kernel will not be an exact match for the one 1.12 was based on.

e.g. Adblock should install OK as it has no kernel dependencies, but OpenVPN may not work as it needs kmod-tun which will be specific to your kernel.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

raven
Posts: 33
Joined: Mon Mar 25, 2019 12:25 am

Re: Failed to build 1.12

Post by raven »

1. Why it can pointing to 1.13 repositories, is this just an error by design when compling?
2. If I want to install any kernel modules, can I just install them manually including all dependencies ?.
3. And if I want to recompile, can I just use 'make ar71xx.glar150' or do I still have to use full_build ?.

For now I have manually installed the plugins I need which I got after finishing compiling from the /built/packages folder and the plugins appear in the gui and running fine.

Lantis
Moderator
Posts: 5769
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Failed to build 1.12

Post by Lantis »

1. When you build a release version (e.g. the 1.12.0 tag), the build code sets the repositories to the relevant 1.12 links. If you aren't building a release version, the code assumes (perhaps not very well) that what you are building is probably more relevant to the next version. So it takes the version and adds 1, hence you get 1.13.
1.13 doesn't exist yet, so there's actually no 1.13 folder on the gargoyle website. Hence you get nothing.
You could patch the build code if you wanted.
https://github.com/ericpaulbishop/gargo ... le#L29-L31
https://github.com/ericpaulbishop/gargo ... le#L76-L78

2. Yes absolutely

3. Yes if you change your config file after building once, you can just run a regular "make ar71xx.glar150". This "rebuild" should be significantly faster depending on how many changes you make.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

raven
Posts: 33
Joined: Mon Mar 25, 2019 12:25 am

Re: Failed to build 1.12

Post by raven »

Now I understand, thank you Lantis, I think I will use my own build image for now and install modules or plugins manually when I need them. And if I get stuck installing them then I just use ispyisail build :D. So far, 1.12.x is the most stable and faster version instead of 1.10 or 1.11 and I'm happy with it. Hopefully I can also test stable version 1.13 soon :). Thanks Lantis.

Lantis
Moderator
Posts: 5769
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Failed to build 1.12

Post by Lantis »

You're welcome, and thank you for working through the issues.
It is always good to see someone having a go, and getting a good result.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

Post Reply